Subject: RE: Summary: Avoiding interface failure upon DAD failure

From: Hesham Soliman <[email-masked]>
Date: Mon, 12 May 2003 13:39:17 -0400

Jari, Charlie

 > 
 > There is no need to delete the section.
 > 
 > I suspect that some of the objections were raised
 > would no longer be at issue once the following
 > are understood:
 > 
 > - There are no changes whatsoever to the installed
 >   base of IPv6 addresses
 > 
 > - A device could be working perfectly well, having
 >   run DAD on its link, but when moving to a new link
 >   then might reset its interface.
 > 
 > I would hope that most designers would realize that
 > the mobile device should NOT reset its interface
 > in this circumstance, preferring instead to choose
 > a(nother?) RFC 3041 randomized address.
 > 
 > The progression of deleting more and more performance
 > improvements from the specification has to be
 > stopped, and in this case there is no reason at
 > all to remove the language.
 > 
 > Otherwise, someone would someday find that their
 > mobile device stops working for no reason at all.
 > There have been no convincing arguments presented
 > why we should cause this pain, instead of allowing
 > and encouraging the better design.
 > 
 > I do not support this suggestion to delete section 7.6.

=> What Charlie says above makes sense to me. 
As Jari mentioned in a previous email, most of 
the discussion I saw was about the probability
of collision and the usefulness of DAD. None of 
that, IMO, is relevant to the proposal that Jari
sent earlier. His proposal was as simple as:
"We want to reference 3041 in the MIPv6 spec".
I don't understand what could possibly be wrong with
that. 

Hesham
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Michael Thomas <[email-masked]>
Date: Mon, 12 May 2003 11:42:23 -0700 (PDT)

I haven't been following this all that closely,
but maybe it's time for somebody to write a "DAD
considered harmful" draft? DAD has always struck
me as something of a tail-wagging-dog situation;
that is, something that drives design decisions
*far* beyond what the actual problem it solves is
worth.

		Mike